def mirror_floor_number(k):
    mirror_mapping = {0: 0, 1: 1, 2: 5, 3: 8, 4: 7, 5: 2, 6: 9, 7: 4, 8: 3, 9: 6}
    
    # Перевернем порядок цифр в числе k и заменим каждую цифру на ее отражение
    mirrored_k = int(''.join(str(mirror_mapping[int(digit)]) for digit in str(k)[::-1]))
    
    # Удалим ведущие нули
    result = str(mirrored_k).lstrip('0')
    
    return result

# Считываем входные данные
k = int(input())
result = mirror_floor_number(k)

# Выводим результат
print(result)

